# StreamingLocatorListResponseSchema

## object

@odata.nextLink string Optional  
@odata.nextLink URL if the page length and number of items match.

### supplemental object [ListResponseSupplementalSchema](https://docs.mediakind.com/api-reference/media-api/schemas/listresponsesupplementalschema) Required

Supplemental info

- **count** integer Required  
  Number of items returned
- **kind** string Required  
  Type of items in the list
- **operation** string Required  
  Operation type. Should always say 'list'
- **pagination** object [PaginationInfoSchema](https://docs.mediakind.com/api-reference/media-api/schemas/paginationinfoschema) Required

Pagination info

- **end** integer Required  
  Position of the last item in the list
- **records** integer Required  
  Total number of items returned in the list
- **start** integer Required  
  Position of the first item in the list
- **total** integer Required  
  Total number of items in the project

### subscription object [ProjectInfoSchema](https://docs.mediakind.com/api-reference/media-api/schemas/projectinfoschema) Optional

Project info

- **id** string Required  
  Project ID
- **name** string Required  
  Project name

### value list of objects [StreamingLocatorSchema](https://docs.mediakind.com/api-reference/media-api/schemas/streaminglocatorschema) Required

The list of streaming locators

- **id** string Optional  
  Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}
- **name** string Optional  
  1-260 characters pattern: ^[^\\'<>%&:\?/\*+]+$
  The name of the resource
- **properties** object [StreamingLocatorProperties](https://docs.mediakind.com/api-reference/media-api/schemas/streaminglocatorproperties) Required

Properties for streaming locator

- **alternativeMediaId** string Optional  
  The alternative media id of the asset used by this streaming locator
- **assetName** string Required  
  The name of the asset used by this streaming locator
- **contentId** string Optional  
  1-260 characters. Only valid when an external key server is used.
- **contentKeys** list of objects [StreamingLocatorContentKey](https://docs.mediakind.com/api-reference/media-api/schemas/streaminglocatorcontentkey) Optional  
  The content keys used by this streaming locator

### Show 6 properties
- **id** string Required  
  The id of the content key
- **labelReferenceInStreamingPolicy** string Optional  
  The label reference in the streaming policy
- **policyName** string Optional  
  The name of the policy
- **tracks** list of objects [StreamingLocatorTrackSelection](https://docs.mediakind.com/api-reference/media-api/schemas/streaminglocatortrackselection) Optional  
  Not currently supported. The tracks which use this content key

#### Show 1 property
- **trackSelections** list of objects [StreamingLocatorTrackPropertyCondition](https://docs.mediakind.com/api-reference/media-api/schemas/streaminglocatortrackpropertycondition) Required  
  The track selections

- **operation** object [TrackPropertyCompareOperation](https://docs.mediakind.com/api-reference/media-api/schemas/trackpropertycompareoperation) Required  
  The track property comparison operation
- ** Equal ** string Required  
  The track property comparison operation
- ** Unknown ** string Required  
  The track property comparison operation

- **property** string Required  
  The track property to compare against
- **value** string Required  
  The track property value.

- **type** enum Optional  
  The streaming locator content key type
  Allowed values: CommonEncryptionCenc, CommonEncryptionCbcs, EnvelopeEncryption

- **value** string Optional  
  The value of the content key

- **defaultContentKeyPolicyName** string Optional  
  <=260 characters. The default content key policy name used by this streaming locator.
- **defaultManifestFilename** string Optional  
  1-260 characters pattern: ^[A-Za-z0-9 _.,()-]+$
  Manifest filename used with streaming endpoints that have urlStyle set to 'Aquila' or 'Unified'. For example: manifest.ism (for MP4 assets), manifest.mpd (for TS assets), index.qfm (for live events)
- **endTime** string Optional  
  format: date-time
  The end time of the streaming locator
- **filters** list of strings Optional  
  A list of asset or account filters to apply to the streaming locator.
- **provisioningState** enum Optional  
  The provisioning state of the streaming locator. Set by the system. One of InProgress, Succeeded, Failed.
  Allowed values: InProgress, Succeeded, Failed
- **resourceState** enum Optional  
  The runtime state of the streaming locator. Set by the system.
  Allowed values: Creating, Updating, Deleting, Created, Deleted, Error
- **startTime** string Optional  
  format: date-time
  The start time of the streaming locator
- **streamingLocatorId** string Optional  
  1-260 characters pattern: ^[^/]+$
  The streaming locator id
- **streamingPolicyName** string Required  
  <=260 characters  
  The name of the streaming policy used by this streaming locator.

You may specify a custom policy by name, or use one of the predefined policies.
To get the list of valid policy options use the `GET /api/v1/projects/{project_name}/media/streamingPolicies` endpoint.

- **suppressed** boolean Optional  
  Defaults to false. Optional configuration for output suppression.
  A suppressed locator will return a 404 HTTP response to requests, in the same way it would if the `startTime` had not yet been reached.
  The 404 code can be overridden with a different status code by setting `preAvailabilityStatusCode` in a custom catalog in a Streaming Policy.

### systemData object [SystemDataSchema](https://docs.mediakind.com/api-reference/media-api/schemas/systemdataschema) Optional

Metadata pertaining to creation and last modification of the resource.

- **createdAt** string Required  
  format: date-time
  The timestamp of resource creation (UTC).
- **createdBy** string Required  
  The identity that created the resource.
- **createdByType** enum Required  
  The type of identity that created the resource.
  Allowed values: User, Application, ManagedIdentity, Key
- **internalId** string Required  
  format: uuid  
  The internal ID of the resource.
- **lastModifiedAt** string Required  
  format: date-time
  The timestamp of resource last modification (UTC).
- **lastModifiedBy** string Required  
  The identity that last modified the resource.
- **lastModifiedByType** enum Required  
  The type of identity that last modified the resource.
  Allowed values: User, Application, ManagedIdentity, Key
- **type** string Optional  
  The type of the resource. E.g. "Microsoft.Media/mediaservices/assets"
